Skip to main content
`Ctrl`+`K`

# PetscSpaceGetDimension

Return the dimension of this space, i.e. the number of basis vectors

## Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscSpaceGetDimension(PetscSpace sp, PetscInt *dim)

## Input Parameter

- sp - The `PetscSpace`

## Output Parameter

- dim - The dimension

## See Also

`PetscSpace`, `PetscSpaceGetDegree()`, `PetscSpaceCreate()`

## Level

intermediate

## Location

src/dm/dt/space/interface/space.c

## Implementations

PetscSpaceGetDimension_Point() in src/dm/dt/space/impls/point/spacepoint.c
PetscSpaceGetDimension_Polynomial() in src/dm/dt/space/impls/poly/spacepoly.c
PetscSpaceGetDimension_Ptrimmed() in src/dm/dt/space/impls/ptrimmed/spaceptrimmed.c
PetscSpaceGetDimension_Subspace() in src/dm/dt/space/impls/subspace/spacesubspace.c
PetscSpaceGetDimension_Sum() in src/dm/dt/space/impls/sum/spacesum.c
PetscSpaceGetDimension_Tensor() in src/dm/dt/space/impls/tensor/spacetensor.c
PetscSpaceGetDimension_WXY() in src/dm/dt/space/impls/wxy/spacewxy.c

Index of all SPACE routines
Table of Contents for all manual pages
Index of all manual pages